### Constructor

# Gom Filter new_sql

#### Declaration [src]

    GomFilter*
    gom_filter_new_sql (
      const gchar* sql,
      const GArray* values
    )

#### Description [src]

Creates a new `GomFilter` using the SQL and values provided.

#### Parameters

`sql`

  Type: `const gchar*`

  A UTF-8 string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`values`

  Type: An array of `const GValue*`

  An array of values.

  The data is owned by the caller of the function.

#### Return value

Type: `GomFilter`

A new `GomFilter`.

The caller of the function takes ownership of the data, and is responsible for freeing it.